// src/component.ts
import { TuiTextTransform } from "vue-termui";
import { defineComponent, h } from "@vue/runtime-core";
import { highlight } from "cli-highlight";
var SyntaxHighlight = defineComponent({
  props: {
    theme: {
      type: Object,
      required: false
    },
    code: {
      type: String,
      required: true
    },
    lang: String
  },
  setup(props, { slots }) {
    return () => h(
      TuiTextTransform,
      {
        transform: (text) => highlight(text, { theme: props.theme, language: props.lang })
      },
      () => {
        var _a;
        return ((_a = slots.default) == null ? void 0 : _a.call(slots)) ?? props.code;
      }
    );
  }
});

// src/index.ts
var src_default = SyntaxHighlight;
export {
  src_default as default
};
